xdbedizzy(__appmansuffix__)

NAME
xdbedizzy - demo of DBE creating a double buffered spinning scene

SYNOPSIS
xdbedizzy
[-display host:dpy] [-delta dlt] [-class visclass] [-depth visdepth] [-visid visualid] [-list] [-nodb] [-help] [-speed number] [-sync] [-spokes n] [-verbose]

xdbedizzy
[-print] [-printer printername] [-printfile file] [-delta dlt] [-class visclass] [-depth visdepth] [-visid visualid] [-list] [-nodb] [-help] [-sync] [-spokes n] [-verbose]

DESCRIPTION
xdbedizzy is a demo of DBE creating a double buffered spinning scene.

OPTIONS

-display host:dpy
    This option specifies the X server to contact.

-print
    Switches to printer output (default is video output). If no other printer arguments are given the default printer is being used.

-printer printername
    This option specifies the Xprint printer to contact.

-printfile filename
    Redirects the PDL (Printer Desktoption Language, usually Postscript, PDF, PCL, etc.) stream to the specified file.

-numpages count
    Number of pages to print. Default is 5.

-delta dlt
    Delta value used to rotate the scene for each frame (video output) or page (printer output).

-class visclass
    Name of visual to choose. Valid values are TrueColor, DirectColor, PseudoColor, StaticColor, Grayscale, StaticGray

-depth depth
    Depth of visual to use.

-visid visualid
    Visual ID to use (ignore -class, -depth).

-list
    List double buffer capable visuals.

-nodb
    Single buffer (ignore -class, -depth, -visid).

-help
    Prints usage and exists.

-speed value
    Defines the time to delay between frames as delay=2sec/speed. Default value is 20. This option is ignored in print mode.

-sync
    Use synchronous X connection.

-spokes value
    Specify number of spokes to draw. The default value is 12.

-verbose
    Print verbose output.

SEE ALSO
DBE(__libmansuffix__), XdbeSwapBuffers(__libmansuffix__), XdbeGetVisualInfo(__libmansuffix__), XdbeAllocateBackBufferName(__libmansuffix__), X(__miscmansuffix__), Xprint(__miscmansuffix__), Xserver(__appmansuffix__)

ENVIRONMENT

DISPLAY
    DISPLAY must be set to get the default host and display to use.

XPSERVERLIST
    XPSERVERLIST must be set for the -printer option identifying the available Xprint servers. See Xprint(__miscmansuffix__) for more details.

AUTHOR
Mark Kilgard

Allen Leinwand

Roland Mainz